Subject: Trainer Candidate - Sabeela Masroor
From: Sabeela Masroor <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 27 Apr 2021 17:48:11 -0400

| | Tech Support Test

Name | Sabeela Masroor
E-mail | [email-masked]
Phone Number | (91) 8800114901
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute using other transport like Rickshaw
Where do you currently live (area) | Delhi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Peak.ai | People manager | Na | 112500
Previous Employer 1 | Hcl | Senior manager training | 25th Jan 2020 | 89000
Previous Employer 2 | Qatar petroleum | Consultant | July 2014 | 4860000

If Selected, how much time do you need to join? | 1 month

Please briefly describe your work experience specifically in training?

Resource Management. My education and enriched experience makes me an analytical and result oriented individual with strong appreciation of people and their contribution towards organization.

Currently engaged with Peak as a People Manager where I manage entry to exit life cycle of an employee. Some of my responsibilities include supporting the development of a high performance culture and champion core values. Managing onboarding process ensuring a great experience. In addition, securing complete and accurate background checks. Extending ongoing coaching and support. Handling payroll and benefits. Ensure compliances are in place. Running PoSH committee. Establish a culture of continuous feedback through the performance management process.  Coaching managers in the management of talent and under-performance. Working closely with the L&D department to identify learning and development needs and opportunities and ensure such needs are addressed. Managing Event celebrations and Socials. Help to build and protect Peak’s employer brand in the local marketplace, through networking and thought leadership opportunities.

My focus has been on overall performance management system identifying processes and structural gaps for better operational output through interaction and identifying people as assets. My strengths lie in people management and the ability to align deliverables/goals with business strategy. I strive to deliver quality through continuous improvement to match the dynamic environment.

My specific areas of interest are harnessing talent, enhancing cross culture diversity, handling customer escalations and building solid cross-functional relationships

I have a global experience and trained over 5000 resources from 7 continents of the world with focus on US, UK and UAE customers. I have worked with various business lines ranging from Healthcare, insurance, Education, ITeS, BPO, Hospitals, Retail, Travel & Hospitality, Banking, Utilities, F&A and Oil and Petroleum. This exposure has helped me in handling end - to - end training process to improve customer experience. I have also managed deliverables related to marketing & promotion, webinars, voice over, manual creation, induction, script writing for a Travel IT organization.

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | The most difficult situation is aligning the training outcome specially for sofk skills in the mind of the management and explaining them the ROI
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Good customer service is about doing your duty - what you are instructed to do. Great VS is when u go over and beyond the process to make the customers life easy and earn appreciation for the organisation and set standards
What according to you makes you a good candidate for this position? | My experience and passion in.training. My love for freshers and batches I train.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |